Package com.google.android.exoplayer2.upstream

## Class ResolvingDataSource.Factory

- java.lang.Object
- - com.google.android.exoplayer2.upstream.ResolvingDataSource.Factory

- All Implemented Interfaces:
    `DataSource.Factory`
  Enclosing class:
    ResolvingDataSource

      public static final class ResolvingDataSource.Factory
      extends Object
      implements DataSource.Factory

  `DataSource.Factory` for `ResolvingDataSource` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory​(DataSource.Factory upstreamFactory, ResolvingDataSource.Resolver resolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResolvingDataSource` | `createDataSource()` | Creates a `DataSource` instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory​(DataSource.Factory upstreamFactory,
                         ResolvingDataSource.Resolver resolver)

      Parameters:
        `upstreamFactory` - The wrapped `DataSource.Factory` for handling resolved `DataSpecs`.
        `resolver` - The `ResolvingDataSource.Resolver` to resolve the `DataSpecs`.

  - ### Method Detail

    - #### createDataSource

          public ResolvingDataSource createDataSource()

      Description copied from interface: `DataSource.Factory`
      Creates a `DataSource` instance.
      Specified by:
        `createDataSource` in interface `DataSource.Factory`